#include "bezerk_brew.h"

#include <algorithm>
#include "../constants.h"

bezerk_brew::bezerk_brew(const position &pos):
        potion{potion_type::BEZERK_BREW, DURATION, pos} {}

void bezerk_brew::apply(const enum race &race, int &HP, int &ATK,
                        int &DEF, fraction &base_hit_rate) {
        if (remaining_duration != 0) {
                ATK *= ATK_MUL * (race == DROW ? DROW_POTION_MUL : 1);
                DEF *= DEF_MUL * (race == DROW ? DROW_POTION_MUL : 1);
                --remaining_duration;
        }
}

int bezerk_brew::get_priority() const {
        return CALC_MID;
}

const char *bezerk_brew::get_name() const {
        return "BB";
}
